Skip to main content
GET
/
v1
/
general
/
product-types
Get a paginated list of product types
curl --request GET \
  --url https://dev.flextell.ai/api/v1/general/product-types \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "category": "<string>",
      "is_active": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
is_active
boolean | null

Filter by active status.

category
string | null

Filter by category.

Maximum string length: 255

Response

Paginated set of ProductTypeResource

data
ProductTypeResource · object[]
required
meta
object
required